diff --git a/tests/test_cartads_cs.py b/tests/test_cartads_cs.py
index ab5556d8..89121d14 100644
--- a/tests/test_cartads_cs.py
+++ b/tests/test_cartads_cs.py
@@ -73,7 +73,7 @@ class FakeService:
             },
             {
                 'IdPiece': 62,
-                'Libelle': u'Plan de masse des constructions à démolir',
+                'Libelle': 'Plan de masse des constructions à démolir',
                 'Descriptif': 'Un plan de masse des constructions...',
                 'CodePiece': 'PCA1',
                 'Reglementaire': False,
@@ -130,28 +130,28 @@ class FakeService:
         return [
             OrderedDict(
                 [
-                    (u'CodePiece', 'PC07'),
-                    (u'DateDemande', datetime.datetime(2019, 4, 15, 0, 0)),
-                    (u'DatePresentation', None),
-                    (u'DateReception', None),
-                    (u'Descriptif', u"Un document graphique..."),
-                    (u'IdDosPiece', 133837),
-                    (u'IdPiece', 58),
-                    (u'LibellePiece', u"Document graphique permettant..."),
-                    (u'NbDocuments', 0),
+                    ('CodePiece', 'PC07'),
+                    ('DateDemande', datetime.datetime(2019, 4, 15, 0, 0)),
+                    ('DatePresentation', None),
+                    ('DateReception', None),
+                    ('Descriptif', "Un document graphique..."),
+                    ('IdDosPiece', 133837),
+                    ('IdPiece', 58),
+                    ('LibellePiece', "Document graphique permettant..."),
+                    ('NbDocuments', 0),
                 ]
             ),
             OrderedDict(
                 [
-                    (u'CodePiece', 'PC16-1'),
-                    (u'DateDemande', datetime.datetime(2019, 4, 15, 0, 0)),
-                    (u'DatePresentation', None),
-                    (u'DateReception', None),
-                    (u'Descriptif', u'Formulaire attestant...'),
-                    (u'IdDosPiece', 133840),
-                    (u'IdPiece', 99),
-                    (u'LibellePiece', u'Formulaire attestant...'),
-                    (u'NbDocuments', 0),
+                    ('CodePiece', 'PC16-1'),
+                    ('DateDemande', datetime.datetime(2019, 4, 15, 0, 0)),
+                    ('DatePresentation', None),
+                    ('DateReception', None),
+                    ('Descriptif', 'Formulaire attestant...'),
+                    ('IdDosPiece', 133840),
+                    ('IdPiece', 99),
+                    ('LibellePiece', 'Formulaire attestant...'),
+                    ('NbDocuments', 0),
                 ]
             ),
         ]
@@ -160,28 +160,28 @@ class FakeService:
         return [
             OrderedDict(
                 [
-                    (u'CodePiece', 'AT1'),
-                    (u'DateDemande', None),
-                    (u'DatePresentation', None),
-                    (u'DateReception', None),
-                    (u'Descriptif', u"L'attestation constatant..."),
-                    (u'IdDosPiece', 0),
-                    (u'IdPiece', 191),
-                    (u'LibellePiece', 'Attestation constat des travaux'),
-                    (u'NbDocuments', 0),
+                    ('CodePiece', 'AT1'),
+                    ('DateDemande', None),
+                    ('DatePresentation', None),
+                    ('DateReception', None),
+                    ('Descriptif', "L'attestation constatant..."),
+                    ('IdDosPiece', 0),
+                    ('IdPiece', 191),
+                    ('LibellePiece', 'Attestation constat des travaux'),
+                    ('NbDocuments', 0),
                 ]
             ),
             OrderedDict(
                 [
-                    (u'CodePiece', 'AT2'),
-                    (u'DateDemande', None),
-                    (u'DatePresentation', None),
-                    (u'DateReception', None),
-                    (u'Descriptif', u"Dans les cas..."),
-                    (u'IdDosPiece', 0),
-                    (u'IdPiece', 192),
-                    (u'LibellePiece', u'Document du...'),
-                    (u'NbDocuments', 0),
+                    ('CodePiece', 'AT2'),
+                    ('DateDemande', None),
+                    ('DatePresentation', None),
+                    ('DateReception', None),
+                    ('Descriptif', "Dans les cas..."),
+                    ('IdDosPiece', 0),
+                    ('IdPiece', 192),
+                    ('LibellePiece', 'Document du...'),
+                    ('NbDocuments', 0),
                 ]
             ),
         ]
@@ -198,13 +198,13 @@ class FakeService:
         assert id_dossier in (123, '135792')
         return OrderedDict(
             [
-                (u'AdresseTerrain', u'all\xe9e des Fleurs'),
-                (u'CoTypeDossier', 'PC'),
-                (u'Commune', u'AIGREFEUILLE SUR MAINE'),
-                (u'DateDepot', datetime.datetime(2019, 9, 19, 0, 0)),
-                (u'IdDossier', 478864),
-                (u'NomDossier', 'PC 069 085 19 00010'),
-                (u'TypeDossier', 'Permis de construire'),
+                ('AdresseTerrain', 'all\xe9e des Fleurs'),
+                ('CoTypeDossier', 'PC'),
+                ('Commune', 'AIGREFEUILLE SUR MAINE'),
+                ('DateDepot', datetime.datetime(2019, 9, 19, 0, 0)),
+                ('IdDossier', 478864),
+                ('NomDossier', 'PC 069 085 19 00010'),
+                ('TypeDossier', 'Permis de construire'),
             ]
         )
 
@@ -266,7 +266,7 @@ def test_pieces_management(connector, app, cached_data):
     assert len(data) == 5
     assert data[0]['text'] == 'Cerfa rempli'
     assert data[0]['max_files'] == 1
-    assert data[1]['text'] == u'Cerfa demandeurs complémentaires'
+    assert data[1]['text'] == 'Cerfa demandeurs complémentaires'
     assert data[1]['max_files'] == 6
     assert data[2]['text'] == 'Plan de situation du terrain'
     assert data[2]['max_files'] == 6
@@ -484,7 +484,7 @@ def test_status_error(connector, app, cached_data):
     resp = app.get('/cartads-cs/test/status?dossier_id=%s' % dossier.id)
     assert (
         resp.json['status_label']
-        == u"File refused (Le modèle sélectionné ne correspond à aucun Cerfa géré par l'application.)"
+        == "File refused (Le modèle sélectionné ne correspond à aucun Cerfa géré par l'application.)"
     )
 
 
@@ -496,7 +496,7 @@ def test_status_zip_not_considered_error(connector, app, cached_data):
     dossier.zip_ack_response = 'False'
     dossier.save()
     resp = app.get('/cartads-cs/test/status?dossier_id=%s' % dossier.id)
-    assert resp.json['status_label'] == u"File not considered"
+    assert resp.json['status_label'] == "File not considered"
 
 
 def test_additional_pieces_management(connector, app, cached_data):
@@ -510,7 +510,7 @@ def test_additional_pieces_management(connector, app, cached_data):
     assert len(data) == 2
     assert data[0]['text'] == 'Document graphique permettant...'
     assert data[0]['max_files'] == 6
-    assert data[1]['text'] == u'Formulaire attestant...'
+    assert data[1]['text'] == 'Formulaire attestant...'
     assert data[1]['max_files'] == 6
     for piece in data:
         assert len(piece['files']) == 1
diff --git a/tests/test_csv_datasource.py b/tests/test_csv_datasource.py
index 2c572255..7af94cee 100644
--- a/tests/test_csv_datasource.py
+++ b/tests/test_csv_datasource.py
@@ -245,7 +245,7 @@ def test_data(client, setup, filetype):
 
 
 def test_unicode_filter_data(client, setup, filetype):
-    filter_criteria = u'Benoît'
+    filter_criteria = 'Benoît'
     _, url = setup(',id,,text,', filename=filetype, data=get_file_content(filetype))
     filters = {'text': filter_criteria}
     resp = client.get(url, filters)
@@ -259,7 +259,7 @@ def test_unicode_filter_data(client, setup, filetype):
 
 def test_unicode_case_insensitive_filter_data(client, setup, filetype):
     _, url = setup(',id,,text,', filename=filetype, data=get_file_content(filetype))
-    filter_criteria = u'anaëlle'
+    filter_criteria = 'anaëlle'
     filters = {'text': filter_criteria, 'case-insensitive': ''}
     resp = client.get(url, filters)
     result = parse_response(resp)
diff --git a/tests/test_dpark.py b/tests/test_dpark.py
index 82338793..078f558c 100644
--- a/tests/test_dpark.py
+++ b/tests/test_dpark.py
@@ -94,7 +94,7 @@ class MockedService(object):
         elif self.error_class is TransportError:
             raise self.error_class('connection error occured', None)
         elif self.error_class is WebFaultHavingLatin1:
-            raise WebFault(message=u'éêè')
+            raise WebFault(message='éêè')
         else:
             raise Exception('random error')
 
@@ -129,7 +129,7 @@ def test_call_service_error(dpark, app):
         assert 'Error: random error' in resp.json['err_desc']
         client.return_value = get_client(error_class=WebFaultHavingLatin1)
         resp = app.get('/dpark/test/ping/')
-        assert u'ServiceError: éêè' in resp.json['err_desc']
+        assert 'ServiceError: éêè' in resp.json['err_desc']
 
 
 def test_ping(dpark, app):
@@ -156,7 +156,7 @@ def test_search(dpark, app):
         assert resp.json['code'] == 'unknown-file'
         # invalid cardnumber
         client.return_value = get_client(
-            replydata={'CodeRetour': '04', 'MessageRetour': u'Numéro de support inconnu'}
+            replydata={'CodeRetour': '04', 'MessageRetour': 'Numéro de support inconnu'}
         )
         resp = app.get('/dpark/test/search/', params=params)
         assert resp.json['err'] == 1
@@ -184,7 +184,7 @@ def test_link(dpark, app):
         assert resp.json['code'] == 'unknown-file'
         # invalid cardnumber
         client.return_value = get_client(
-            replydata={'CodeRetour': '04', 'MessageRetour': u'Numéro de support inconnu'}
+            replydata={'CodeRetour': '04', 'MessageRetour': 'Numéro de support inconnu'}
         )
         resp = app.post_json('/dpark/test/link/', params=params)
         assert resp.json['err'] == 1
@@ -420,11 +420,11 @@ def test_check_renewal_time(dpark, app):
         url = '/dpark/test/check-renewal-time/'
         params = {'firstnames': 'spam eggs', 'lastname': 'bar', 'filenumber': '1' * 9, 'badgenumber': '2' * 9}
         client.return_value = get_client(
-            replydata={'CodeRetour': '02', 'MessageRetour': u'Renouvellement hors délai'}
+            replydata={'CodeRetour': '02', 'MessageRetour': 'Renouvellement hors délai'}
         )
         resp = app.get(url, params=params)
         assert resp.json['data'] is False
-        assert resp.json['desc'] == u'Renouvellement hors délai'
+        assert resp.json['desc'] == 'Renouvellement hors délai'
         client.return_value = get_client(replydata={'CodeRetour': '01', 'MessageRetour': 'Dossier existant'})
         resp = app.get(url, params=params)
         assert resp.json['data'] is True
@@ -435,11 +435,11 @@ def test_check_renewal_duplicate(dpark, app):
         url = '/dpark/test/check-renewal-time/'
         params = {'firstnames': 'spam eggs', 'lastname': 'bar', 'filenumber': '1' * 9, 'badgenumber': '2' * 9}
         client.return_value = get_client(
-            replydata={'CodeRetour': '02', 'MessageRetour': u'Demande déjà en cours'}
+            replydata={'CodeRetour': '02', 'MessageRetour': 'Demande déjà en cours'}
         )
         resp = app.get(url, params=params)
         assert resp.json['data'] is False
-        assert resp.json['desc'] == u'Demande déjà en cours'
+        assert resp.json['desc'] == 'Demande déjà en cours'
         client.return_value = get_client(replydata={'CodeRetour': '01', 'MessageRetour': 'Dossier existant'})
         resp = app.get(url, params=params)
         assert resp.json['data'] is True
@@ -459,11 +459,11 @@ def test_check_creation_duplicate(dpark, app):
             'applicant_lastname': 'Ham',
         }
         client.return_value = get_client(
-            replydata={'CodeRetour': '02', 'MessageRetour': u'Demande déjà en cours'}
+            replydata={'CodeRetour': '02', 'MessageRetour': 'Demande déjà en cours'}
         )
         resp = app.get(url, params=params)
         assert resp.json['data'] is False
-        assert resp.json['desc'] == u'Demande déjà en cours'
+        assert resp.json['desc'] == 'Demande déjà en cours'
         client.return_value = get_client(replydata={'CodeRetour': '01', 'MessageRetour': ''})
         resp = app.get(url, params=params)
         assert resp.json['data'] is True
@@ -483,11 +483,11 @@ def test_check_creation_not_renewal(dpark, app):
             'applicant_lastname': 'Ham',
         }
         client.return_value = get_client(
-            replydata={'CodeRetour': '02', 'MessageRetour': u'Usager existe déjà dans D-Park'}
+            replydata={'CodeRetour': '02', 'MessageRetour': 'Usager existe déjà dans D-Park'}
         )
         resp = app.get(url, params=params)
         assert resp.json['data'] is False
-        assert resp.json['desc'] == u'Usager existe déjà dans D-Park'
+        assert resp.json['desc'] == 'Usager existe déjà dans D-Park'
         client.return_value = get_client(replydata={'CodeRetour': '01', 'MessageRetour': ''})
         resp = app.get(url, params=params)
         assert resp.json['data'] is True
@@ -508,13 +508,13 @@ def test_get_payment_infos(dpark, app):
             'badgenumber': '2' * 9,
         }
         Pairing.objects.create(resource=dpark, **params)
-        client.return_value = get_client(replydata={'CodeRetour': '02', 'MessageRetour': u'Dossier inconnu'})
+        client.return_value = get_client(replydata={'CodeRetour': '02', 'MessageRetour': 'Dossier inconnu'})
         resp = app.get(url)
         assert resp.json['err'] == 0
         assert resp.json['data'] == []
         replydata = {
             'CodeRetour': '01',
-            'MessageRetour': u'Demande acceptée',
+            'MessageRetour': 'Demande acceptée',
             'NumeroDemande': '55555',
             'Montant': 12500,
             'TypePaiement': 10,
@@ -568,7 +568,7 @@ def test_payment_notification(dpark, app, transaction_datetime, expected_date):
                 'badgenumber': '2' * 9,
             },
         )
-        operation.return_value = mock.Mock(CodeRetour='02', MessageRetour=u'Dossier inconnu')
+        operation.return_value = mock.Mock(CodeRetour='02', MessageRetour='Dossier inconnu')
         resp = app.post_json(url, params=params)
         assert operation.call_args_list[-1].args[5] == expected_date
         assert resp.json['err'] == 1
@@ -630,7 +630,7 @@ def test_registration(dpark, app, application_thirdparty_subscription):
     )
     assert demande_abonnementtiers in force_text(dpark.mock_requests[0].body)
     assert resp.json['err'] == 1
-    assert resp.json['err_desc'] == u'Dossier incomplet'
+    assert resp.json['err_desc'] == 'Dossier incomplet'
     # with complete application
     dpark.mock_responses.append(
         """<?xml version="1.0" encoding="utf-8"?>
@@ -668,7 +668,7 @@ def test_send_files(dpark, app, settings, freezer):
         soap_call.side_effect = APIError('Numéro de demande introuvable')
         resp = app.post_json(url, params=params)
         assert resp.json['err'] == 1
-        assert resp.json['err_desc'] == u'Numéro de demande introuvable'
+        assert resp.json['err_desc'] == 'Numéro de demande introuvable'
 
     params['justif_domicile'] = {
         'filename': 'address_proof.pDf',
@@ -699,10 +699,10 @@ def test_send_files(dpark, app, settings, freezer):
     params['impot_revenu'] = 'this is my tax notice'
     resp = app.post_json(url, params=params)
     errors = [
-        u"<impot_revenu> value is not a dict",
-        u"<taxe_habitat> <content> is either absent or has an invalid value",
-        u"<taxe_habitat,2> <filename> is either absent or has an invalid value",
-        u"Invalid document type: <toto,6>",
+        "<impot_revenu> value is not a dict",
+        "<taxe_habitat> <content> is either absent or has an invalid value",
+        "<taxe_habitat,2> <filename> is either absent or has an invalid value",
+        "Invalid document type: <toto,6>",
     ]
     assert resp.json['err'] == 1
     assert resp.json['err_desc'] == '%s' % errors
diff --git a/tests/test_feeds.py b/tests/test_feeds.py
index 5a27e5ff..c4dfa8bd 100644
--- a/tests/test_feeds.py
+++ b/tests/test_feeds.py
@@ -6,7 +6,7 @@ import pytest
 import tests.utils
 from passerelle.apps.feeds.models import Feed
 
-FEED_EXAMPLE = u"""<?xml version="1.0" encoding="UTF-8"?>
+FEED_EXAMPLE = """<?xml version="1.0" encoding="UTF-8"?>
 <feed xmlns="http://www.w3.org/2005/Atom" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:sy="http://purl.org/rss/1.0/modules/syndication/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:taxo="http://purl.org/rss/1.0/modules/taxonomy/">
   <title>Actualités de Strasbourg</title>
   <link rel="alternate" href="http://www.strasbourg.eu/fr/actualites/-/asset_publisher/lG7u/rss" />
diff --git a/tests/test_gdema.py b/tests/test_gdema.py
index b20dc47f..ac1e7f99 100644
--- a/tests/test_gdema.py
+++ b/tests/test_gdema.py
@@ -79,7 +79,7 @@ def test_gdema_services_and_typologies(app, gdema):
         assert resp.json['err'] == 0
         assert len(resp.json['data']) == 3
         assert resp.json['data'][0]['id'] == '16151'
-        assert resp.json['data'][0]['text'] == u'DMT - Mobilité et transports'
+        assert resp.json['data'][0]['text'] == 'DMT - Mobilité et transports'
 
         resp = app.get(endpoint + '/typology/', status=200)
         assert requests_get.call_count == 2
@@ -87,11 +87,11 @@ def test_gdema_services_and_typologies(app, gdema):
         assert resp.json['err'] == 0
         assert len(resp.json['data']) == 12
         assert resp.json['data'][0]['id'] == '13067'
-        assert resp.json['data'][0]['text'] == u'Maintenance Cie'
+        assert resp.json['data'][0]['text'] == 'Maintenance Cie'
         assert resp.json['data'][0]['service_id'] == '10173'
         assert (
             resp.json['data'][0]['service_text']
-            == u'DESPU - Administration Direction environnement et services publics urbains'
+            == 'DESPU - Administration Direction environnement et services publics urbains'
         )
 
         resp = app.get(endpoint + '/typology/?service_id=10426', status=200)
@@ -100,9 +100,9 @@ def test_gdema_services_and_typologies(app, gdema):
         assert resp.json['err'] == 0
         assert len(resp.json['data']) == 7
         assert resp.json['data'][0]['id'] == '10804'
-        assert resp.json['data'][0]['text'] == u'Activités périscolaires'
+        assert resp.json['data'][0]['text'] == 'Activités périscolaires'
         assert resp.json['data'][0]['service_id'] == '10426'
-        assert resp.json['data'][0]['service_text'] == u'DEE - Périscolaire et éducatif'
+        assert resp.json['data'][0]['service_text'] == 'DEE - Périscolaire et éducatif'
 
 
 def test_gdema_referentiel(app, gdema):
@@ -143,7 +143,7 @@ def test_gdema_get_request(app, gdema):
         assert resp.json['err'] == 0
         assert resp.json['data']['Id'] == '1'
         assert resp.json['data']['AnswerToProvide'] is True
-        assert resp.json['data']['Description'].startswith(u'contrôle')
+        assert resp.json['data']['Description'].startswith('contrôle')
         assert resp.json['data']['ExpectedDate'] is None
         assert resp.json['data']['Files'] == []
         assert resp.json['data']['Handler']['CivilityId'] == '0'
@@ -158,7 +158,7 @@ def test_gdema_get_request(app, gdema):
         assert requests_get.call_args[0][0] == 'https://gdema.example.net/api/request/1/state'
         assert 'data' in resp.json
         assert resp.json['err'] == 0
-        assert resp.json['data'] == {'Id': '1', 'State': '64', 'StateLabel': u'Cloturée'}
+        assert resp.json['data'] == {'Id': '1', 'State': '64', 'StateLabel': 'Cloturée'}
 
 
 def test_gdema_create_request(app, gdema):
diff --git a/tests/test_generic_endpoint.py b/tests/test_generic_endpoint.py
index 9ab8a7e9..4870787f 100644
--- a/tests/test_generic_endpoint.py
+++ b/tests/test_generic_endpoint.py
@@ -128,13 +128,13 @@ def test_proxy_logger(mocked_get, caplog, app, arcgis):
     assert record.levelno == 20
     assert record.levelname == 'INFO'
     assert record.name == 'passerelle.resource.arcgis.test'
-    assert u"endpoint GET /arcgis/test/mapservice-query?" in record.message
+    assert "endpoint GET /arcgis/test/mapservice-query?" in record.message
     assert not hasattr(record, 'connector_result')
     record = caplog.records[1]
     assert record.levelno == 10
     assert record.levelname == 'DEBUG'
     assert record.name == 'passerelle.resource.arcgis.test'
-    assert u"endpoint GET /arcgis/test/mapservice-query?" in record.message
+    assert "endpoint GET /arcgis/test/mapservice-query?" in record.message
     assert hasattr(record, 'connector_result')
 
     data = resp.json['data']
@@ -434,7 +434,7 @@ def test_endpoint_decorator_pre_process(db, app):
     with patch_init, patch_object:
         resp = app.post_json(url_foo, params=payload, status=400)
     assert resp.json['err'] == 1
-    assert resp.json['err_desc'] == "foo/1/id: None is not of type %s" % repr(u'integer')
+    assert resp.json['err_desc'] == "foo/1/id: None is not of type %s" % repr('integer')
     with patch_init, patch_object:
         resp = app.post_json(url_bar, params=payload)
     assert resp.json['err'] == 0
diff --git a/tests/test_grenoble_gru.py b/tests/test_grenoble_gru.py
index 7dc9ba3d..1ca281b5 100644
--- a/tests/test_grenoble_gru.py
+++ b/tests/test_grenoble_gru.py
@@ -226,8 +226,8 @@ def test_demand_creation_params(app, setup):
     with mock.patch('passerelle.utils.Request.post') as request_post:
         request_post.return_value = get_typo_response()
         payload = BASIC_PAYLOAD.copy()
-        payload['intervention_free_address'] = u'169, rue du Château'
-        payload['applicant_free_address'] = u'1, rue de l\'Est'
+        payload['intervention_free_address'] = '169, rue du Château'
+        payload['applicant_free_address'] = '1, rue de l\'Est'
         app.post_json(
             reverse(
                 'generic-endpoint',
@@ -235,11 +235,11 @@ def test_demand_creation_params(app, setup):
             ),
             params=payload,
         )
-        assert request_post.call_args[1]['data']['int_adresse_manuelle'] == u'169, rue du Château'
-        assert request_post.call_args[1]['data']['dem_adresse_manuelle'] == u'1, rue de l\'Est'
+        assert request_post.call_args[1]['data']['int_adresse_manuelle'] == '169, rue du Château'
+        assert request_post.call_args[1]['data']['dem_adresse_manuelle'] == '1, rue de l\'Est'
         assert request_post.call_args[1]['data']['obs_demande_urgente'] == 1
         assert request_post.call_args[1]['data']['dem_comp'] == 'Voirie'
-        assert request_post.call_args[1]['data']['dem_pav'] == u'déchetterie'
+        assert request_post.call_args[1]['data']['dem_pav'] == 'déchetterie'
         assert request_post.call_args[1]['data']['dem_reponse'] == 0
         assert request_post.call_args[1]['data']['obs_description_probleme'] == 'thank you '
 
diff --git a/tests/test_iws.py b/tests/test_iws.py
index c1bdeff1..4be0140f 100644
--- a/tests/test_iws.py
+++ b/tests/test_iws.py
@@ -52,8 +52,8 @@ def test_checkdate_dechet_or_encombrant(app, setup, endpoint_dummy_cache):
     )
     json_result = response.json_body
     assert json_result['err'] == 1
-    assert u'DECHET' in json_result['err_desc']
-    assert u'ENCOMBRANT' in json_result['err_desc']
+    assert 'DECHET' in json_result['err_desc']
+    assert 'ENCOMBRANT' in json_result['err_desc']
 
 
 def test_checkdate_sti_code_optionnal_last_char(app, setup, endpoint_dummy_cache, monkeypatch):
diff --git a/tests/test_lille_kimoce.py b/tests/test_lille_kimoce.py
index 9b14b342..70345c3e 100644
--- a/tests/test_lille_kimoce.py
+++ b/tests/test_lille_kimoce.py
@@ -321,7 +321,7 @@ def test_create_demand(mocked_post, app, setup):
         'companyLocation': {'number': '', 'road': '', 'zipCode': '', 'city': ''},
         'pictures': [],
         'subType': '/api/sub_types/164',
-        'sourceContact': {'firstname': 'Foo', 'mail': 'foo@example.net', 'lastname': u'Bar'},
+        'sourceContact': {'firstname': 'Foo', 'mail': 'foo@example.net', 'lastname': 'Bar'},
     }
     assert response.json['data'] == json.loads(DEMAND_CREATION_RESPONSE)
     assert mocked_post.call_count == 2
diff --git a/tests/test_okina.py b/tests/test_okina.py
index bd7612ec..08a03861 100644
--- a/tests/test_okina.py
+++ b/tests/test_okina.py
@@ -1686,7 +1686,7 @@ def test_okina_classes(app, okina):
         assert resp.json['err'] == 0
         assert len(resp.json['data']) == 4
         assert resp.json['data'][0]['id'] == '1'
-        assert resp.json['data'][0]['text'] == u'École maternelle - Petite section'
+        assert resp.json['data'][0]['text'] == 'École maternelle - Petite section'
 
 
 def test_okina_institutions(app, okina):
@@ -1700,7 +1700,7 @@ def test_okina_institutions(app, okina):
             assert resp.json['err'] == 0
             assert len(resp.json['data']) == 2
             assert resp.json['data'][0]['id'] == '277'
-            assert resp.json['data'][0]['text'] == u'Collège Touvent'
+            assert resp.json['data'][0]['text'] == 'Collège Touvent'
             assert resp.json['data'][0]['lat'] == '46.791332586468016'
             assert resp.json['data'][0]['lon'] == '1.6926355997775921'
 
@@ -1711,7 +1711,7 @@ def test_okina_institutions(app, okina):
             assert resp.json['err'] == 0
             assert len(resp.json['data']) == 2
             assert resp.json['data'][0]['id'] == '277'
-            assert resp.json['data'][0]['text'] == u'Collège Touvent'
+            assert resp.json['data'][0]['text'] == 'Collège Touvent'
 
             resp = app.get(endpoint + '/from-city/36005/', status=200)
             assert (
@@ -1721,7 +1721,7 @@ def test_okina_institutions(app, okina):
             assert resp.json['err'] == 0
             assert len(resp.json['data']) == 2
             assert resp.json['data'][0]['id'] == '277'
-            assert resp.json['data'][0]['text'] == u'Collège Touvent'
+            assert resp.json['data'][0]['text'] == 'Collège Touvent'
 
 
 def test_okina_search(app, okina):
@@ -1783,7 +1783,7 @@ def test_okina_stops_area(app, okina):
         assert resp.json['err'] == 0
         assert len(resp.json['data']) == 3
         assert resp.json['data'][0]['id'] == '3281'
-        assert resp.json['data'][0]['text'] == u'Les Loges de Dressais'
+        assert resp.json['data'][0]['text'] == 'Les Loges de Dressais'
 
 
 def test_okina_ods(app, okina):
@@ -1846,7 +1846,7 @@ def test_okina_ods(app, okina):
         assert len(resp.json['data']) == 1
         assert resp.json['data'][0]['id'] == 'inst:276-seq:1-6-84'
         assert (
-            resp.json['data'][0]['text'] == u'Brenne 1 vers écoles Antoine Fée, Saint Martin et Saint Vincent'
+            resp.json['data'][0]['text'] == 'Brenne 1 vers écoles Antoine Fée, Saint Martin et Saint Vincent'
         )
         assert resp.json['data'][0]['identifier'] == 'SYNDICAT ARDENTES 4 (semaine Aller)'
         assert resp.json['data'][0]['vehicle_journey_id'] == '84'
@@ -1858,7 +1858,7 @@ def test_okina_ods(app, okina):
         assert len(resp.json['data']) == 1
         assert resp.json['data'][0]['id'] == 'inst:276-seq:1-6-84'
         assert (
-            resp.json['data'][0]['text'] == u'Brenne 1 vers écoles Antoine Fée, Saint Martin et Saint Vincent'
+            resp.json['data'][0]['text'] == 'Brenne 1 vers écoles Antoine Fée, Saint Martin et Saint Vincent'
         )
         assert resp.json['data'][0]['identifier'] == 'SYNDICAT ARDENTES 4 (semaine Aller)'
         assert resp.json['data'][0]['vehicle_journey_id'] == '84'
@@ -1882,7 +1882,7 @@ def test_okina_topology(app, okina):
         assert resp.json['err'] == 0
         assert len(resp.json['data']) == 1
         assert resp.json['data'][0]['id'] == '2'
-        assert resp.json['data'][0]['text'] == u'réseau scolaire'
+        assert resp.json['data'][0]['text'] == 'réseau scolaire'
 
         requests_get.return_value = tests.utils.FakedResponse(content=VEHICLE_JOURNEYS, status_code=200)
         resp = app.get(endpoint + '/vehicle-journeys/', status=200)
@@ -1890,7 +1890,7 @@ def test_okina_topology(app, okina):
         assert resp.json['err'] == 0
         assert len(resp.json['data']) == 3
         assert resp.json['data'][0]['id'] == '306'
-        assert resp.json['data'][0]['text'] == u'019 02 - VELLES LYCEES DE CHATEAUROUX'
+        assert resp.json['data'][0]['text'] == '019 02 - VELLES LYCEES DE CHATEAUROUX'
 
 
 def test_okina_errors(app, okina):
diff --git a/tests/test_opendatasoft.py b/tests/test_opendatasoft.py
index a828da5e..237c75cb 100644
--- a/tests/test_opendatasoft.py
+++ b/tests/test_opendatasoft.py
@@ -50,7 +50,7 @@ FAKED_CONTENT_Q_SEARCH = json.dumps(
                     "nom_rue": "RUE DE L'AUBEPINE",
                     "num_com": 482,
                     "numero": "33",
-                    "source": u"Ville et Eurométropole de Strasbourg",
+                    "source": "Ville et Eurométropole de Strasbourg",
                 },
                 "geometry": {"coordinates": [7.76978279836, 48.6060963542], "type": "Point"},
                 "record_timestamp": "2019-12-02T14:15:08.376000+00:00",
@@ -66,7 +66,7 @@ FAKED_CONTENT_Q_SEARCH = json.dumps(
                     "nom_rue": "RUE DE L'AUBEPINE",
                     "num_com": 268,
                     "numero": "19",
-                    "source": u"Ville et Eurométropole de Strasbourg",
+                    "source": "Ville et Eurométropole de Strasbourg",
                 },
                 "geometry": {"coordinates": [7.66177412454, 48.4920620548], "type": "Point"},
                 "record_timestamp": "2019-12-02T14:15:08.376000+00:00",
@@ -82,7 +82,7 @@ FAKED_CONTENT_Q_SEARCH = json.dumps(
                     "nom_rue": "RUE DE L'AUBEPINE",
                     "num_com": 482,
                     "numero": "29",
-                    "source": u"Ville et Eurométropole de Strasbourg",
+                    "source": "Ville et Eurométropole de Strasbourg",
                 },
                 "geometry": {"coordinates": [7.76988497729, 48.6056497224], "type": "Point"},
                 "record_timestamp": "2019-12-02T14:15:08.376000+00:00",
@@ -113,7 +113,7 @@ FAKED_CONTENT_ID_SEARCH = json.dumps(
                     "nom_rue": "RUE DE L'AUBEPINE",
                     "num_com": 268,
                     "numero": "19",
-                    u"source": "Ville et Eurométropole de Strasbourg",
+                    "source": "Ville et Eurométropole de Strasbourg",
                 },
                 "geometry": {"coordinates": [7.66177412454, 48.4920620548], "type": "Point"},
                 "record_timestamp": "2019-12-02T14:15:08.376000+00:00",
diff --git a/tests/test_opengis.py b/tests/test_opengis.py
index 49ce5d0a..f23036ff 100644
--- a/tests/test_opengis.py
+++ b/tests/test_opengis.py
@@ -142,7 +142,7 @@ FAKE_FEATURES_JSON = '''
     "type": "FeatureCollection"
 }'''
 
-FAKE_ERROR = u'''<ows:ExceptionReport
+FAKE_ERROR = '''<ows:ExceptionReport
      xmlns:xs="http://www.w3.org/2001/XMLSchema"
      xmlns:ows="http://www.opengis.net/ows/1.1"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
